SDL_toupper(3)

NAME
SDL_toupper - Convert low-ASCII English letters to uppercase.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_toupper(int x);

DESCRIPTION
WARNING : Regardless of system locale, this will only convert ASCII values 'a' through 'z' to uppercase. This function returns the uppercase equivalent of x . If a character cannot be converted, or is already uppercase, this function returns x .

FUNCTION PARAMETERS

x   character value to check.

RETURN VALUE
Returns Capitalized version of x, or x if no conversion available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.